"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                                */
;/* empty css                                                                        */
;/* empty css                                                                     */
;/* empty css                                                                  */
;/* empty css                                                                     */
;/* empty css                                                                           */
;/* empty css                                                                     */
;/* empty css                                                                     */
;/* empty css                                                                    */
;/* empty css                                                                        */
;/* empty css                                                                    */
;/* empty css                                                                          */
;/* empty css                                                                           */
const Vue = require("vue");
const index = require("../../../../../../node_modules/element-plus/es/components/form/index.js");
const index$1 = require("../../../../../../node_modules/element-plus/es/components/radio/index.js");
const index$2 = require("../../../../../../node_modules/element-plus/es/components/input/index.js");
const index$3 = require("../../../../../../node_modules/element-plus/es/components/switch/index.js");
const index$4 = require("../../../../../../node_modules/element-plus/es/components/select/index.js");
const _sfc_main = {
  __name: "Confirm",
  props: {
    formData: Object
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_el_radio_button = index$1.ElRadioButton;
      const _component_el_radio_group = index$1.ElRadioGroup;
      const _component_el_form_item = index.ElFormItem;
      const _component_el_input = index$2.ElInput;
      const _component_el_switch = index$3.ElSwitch;
      const _component_el_option = index$4.ElOption;
      const _component_el_select = index$4.ElSelect;
      return Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, null, [
        Vue.createVNode(_component_el_form_item, { label: "提示类型" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_radio_group, {
              modelValue: __props.formData.messageType,
              "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => __props.formData.messageType = $event),
              size: "small"
            }, {
              default: Vue.withCtx(() => [
                Vue.createVNode(_component_el_radio_button, {
                  label: "成功",
                  value: "success"
                }),
                Vue.createVNode(_component_el_radio_button, {
                  label: "信息",
                  value: "info"
                }),
                Vue.createVNode(_component_el_radio_button, {
                  label: "警告",
                  value: "warning"
                }),
                Vue.createVNode(_component_el_radio_button, {
                  label: "错误",
                  value: "error"
                })
              ]),
              _: 1
            }, 8, ["modelValue"])
          ]),
          _: 1
        }),
        Vue.createVNode(_component_el_form_item, { label: "标题" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_input, {
              modelValue: __props.formData.title,
              "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => __props.formData.title = $event),
              placeholder: "请输入标题"
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        Vue.createVNode(_component_el_form_item, { label: "提示内容" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_input, {
              modelValue: __props.formData.message,
              "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => __props.formData.message = $event),
              type: "textarea",
              rows: 2,
              placeholder: "请输入提示内容",
              resize: "none"
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        Vue.createVNode(_component_el_form_item, { label: "确认按钮文字" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_input, {
              modelValue: __props.formData.confirmText,
              "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => __props.formData.confirmText = $event),
              placeholder: "确定"
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        Vue.createVNode(_component_el_form_item, { label: "取消按钮文字" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_input, {
              modelValue: __props.formData.cancelText,
              "onUpdate:modelValue": _cache[4] || (_cache[4] = ($event) => __props.formData.cancelText = $event),
              placeholder: "取消"
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        Vue.createVNode(_component_el_form_item, { label: "是否显示取消" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_switch, {
              modelValue: __props.formData.showCancel,
              "onUpdate:modelValue": _cache[5] || (_cache[5] = ($event) => __props.formData.showCancel = $event)
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        Vue.createVNode(_component_el_form_item, { label: "确认操作" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_select, {
              modelValue: __props.formData.confirmAction,
              "onUpdate:modelValue": _cache[6] || (_cache[6] = ($event) => __props.formData.confirmAction = $event),
              size: "small",
              style: { "width": "100%" }
            }, {
              default: Vue.withCtx(() => [
                Vue.createVNode(_component_el_option, {
                  label: "继续执行",
                  value: "continue"
                }),
                Vue.createVNode(_component_el_option, {
                  label: "停止执行",
                  value: "stop"
                })
              ]),
              _: 1
            }, 8, ["modelValue"])
          ]),
          _: 1
        })
      ], 64);
    };
  }
};
exports.default = _sfc_main;
